"""setup.py"""

from setuptools import setup
from build import CMakeExtension, CMakeBuild

with open("VERSION", "r") as f:
    version = f.readline().strip("\n")

setup(
    version=version,
    ext_modules=[CMakeExtension("librichsmi")],
    cmdclass={"build_ext": CMakeBuild},
)
